Subject: Extcon build failure in next

From: [email-masked] (Tony Lindgren)
Date: Thu, 30 Jun 2016 04:49:12 -0700

* Arnd Bergmann <[email-masked]> [160630 04:38]:
> On Wednesday, June 29, 2016 10:41:13 PM CEST Tony Lindgren wrote:
> > * Tony Lindgren <[email-masked]> [160629 22:41]:
> > > Hi Chanwoo,
> > > 
> > > Looks like current Linux next fails to build with at least
> > > omap2plus_defconfig because of:
> > > 
> > > ERROR: "extcon_dev_allocate" [drivers/extcon/devres.ko] undefined!
> > > scripts/Makefile.modpost:91: recipe for target '__modpost' failed
> > > make[1]: *** [__modpost] Error 1
> > > Makefile:1163: recipe for target 'modules' failed
> > > make: *** [modules] Error 2
> > > Kernel build failed
> > > 
> > > Probably extcon_dev_allocate just needs EXPORT_SYMBOL_GPL?
> 
> I've sent "extcon: link devres into core module" for this

OK thanks.

> > Also I'm seeing:
> > 
> > drivers/extcon/extcon.c: In function 'extcon_register_notifier':
> > drivers/extcon/extcon.c:455:6: warning: 'idx' may be used uninitialized in this function [-Wmaybe-uninitialized]
> >    if (idx >= 0) {
> >          ^
> 
> I don't see this one. Which compiler version do you use?

Looks like I'm currently using older arm-none-linux-gnueabi-gcc
(Sourcery CodeBench Lite 2014.05-29) 4.8.3 20140320 (prerelease).
I think the Debian compiler was not working few months ago and
I changed to something I had around.

Looks like the warning does not appear with arm-linux-gnueabihf-gcc
(Debian 6.1.1-3) 6.1.1 20160511.

Regards,

Tony